<?php
/**
* Plugin Name: Eskimo Features
* Plugin URI: https://themeforest.net/user/egemenerd/portfolio?ref=egemenerd
* Description: Custom post types, widgets and shortcodes
* Version: 1.8.2
* Author: Egemenerd
* Author URI: http://themeforest.net/user/egemenerd?ref=egemenerd
* License: http://themeforest.net/licenses?ref=egemenerd
*/

/* Include required files */

function eskimo_features_main_function(){
    /* Shortcodes */
    include_once('shortcodes.php');
    /* Widgets */
    include_once('so-widgets.php');	
}

add_action('plugins_loaded','eskimo_features_main_function');


function eskimo_fancybox() {
   wp_dequeue_style( 'envira-gallery-lite-fancybox' );
}
add_action( 'wp_enqueue_scripts', 'eskimo_fancybox', 9999 );

/* Register Scripts and Styles */

function eskimo_cpt_scripts() {
    wp_enqueue_style('eskimo-cpt-styles', plugin_dir_url( __FILE__ ) . 'css/style.css', true, '1.0'); 
    if ( is_rtl() ) {
        wp_enqueue_style('eskimo-cpt-rtl-styles', plugin_dir_url( __FILE__ ) . 'css/rtl.css', true, '1.0'); 
    }   
    if (is_singular()) {
        wp_enqueue_style('eskimo-share', plugin_dir_url( __FILE__ ) . 'css/rrssb.css', false, '1.0.0');
        wp_enqueue_script('eskimo-share', plugin_dir_url( __FILE__ ) . 'js/rrssb.min.js', array( 'jquery' ), '1.0.0', false );             
    }
}
add_action('wp_enqueue_scripts','eskimo_cpt_scripts');

/*---------------------------------------------------
Custom Image Sizes
----------------------------------------------------*/

add_image_size( 'eskimo-slide', 1200, 600, true);
add_filter('image_size_names_choose', 'eskimo_plugin_image_sizes');

function eskimo_plugin_image_sizes($eskimosizes) {
    $eskimoaddsizes = array(
        "eskimo-slide" => esc_attr__( 'Eskimo Slide', 'eskimo')
    );
    $eskimonewsizes = array_merge($eskimosizes, $eskimoaddsizes);
    return $eskimonewsizes;
}

/*---------------------------------------------------
Tinymce custom button
----------------------------------------------------*/

if ( is_admin() ) {
add_action('init', 'eskimo_shortcodes_add_button');  
function eskimo_shortcodes_add_button() {  
   if ( current_user_can('edit_posts') &&  current_user_can('edit_pages') )  
   {  
     add_filter('mce_external_plugins', 'eskimo_add_plugin', 10);  
     add_filter('mce_buttons', 'eskimo_register_button', 10);  
   }  
} 

function eskimo_register_button($buttons) {
    array_push($buttons, "eskimo_mce_button");
    return $buttons;  
}  

function eskimo_add_plugin($plugin_array) {
    $plugin_array['eskimo_mce_button'] = plugin_dir_url( __FILE__ ) . 'js/shortcodes.js';
    return $plugin_array;  
}
    
function eskimo_mce_buttons_2($buttons) {
    array_unshift($buttons, 'styleselect');
    return $buttons;
}
add_filter('mce_buttons_2', 'eskimo_mce_buttons_2');  
    
function eskimo_before_init_insert_formats( $init_array ) {  
    $style_formats = array(  
        array(  
            'title' => 'Lead Text',  
            'inline' => 'span',  
            'classes' => 'lead',
            'wrapper' => true  
        ),
        array(  
            'title' => 'Primary Text',  
            'inline' => 'span',  
            'classes' => 'text-primary',
            'wrapper' => true  
        ),
        array(  
            'title' => 'Success Text',  
            'inline' => 'span',  
            'classes' => 'text-success',
            'wrapper' => true  
        ),
        array(  
            'title' => 'Info Text',  
            'inline' => 'span',  
            'classes' => 'text-info',
            'wrapper' => true  
        ),
        array(  
            'title' => 'Warning Text',  
            'inline' => 'span',  
            'classes' => 'text-warning',
            'wrapper' => true  
        ),
        array(  
            'title' => 'Danger Text',  
            'inline' => 'span',  
            'classes' => 'text-danger',
            'wrapper' => true  
        ),
        array(  
            'title' => 'Light Text',  
            'inline' => 'span',  
            'classes' => 'text-light',
            'wrapper' => true  
        )
    );
    $init_array['style_formats'] = json_encode( $style_formats );      
    return $init_array;  
   
}
add_filter( 'tiny_mce_before_init', 'eskimo_before_init_insert_formats' );     
}

/* ---------------------------------------------------------
Social Media Sharing Buttons
----------------------------------------------------------- */

function eskimo_social_media_buttons() {
    include('social-media.php');
}

/* ---------------------------------------------------------
Related Posts
----------------------------------------------------------- */

function eskimo_related_posts($post_id) {
    include('eskimo-related.php');
}

/* ---------------------------------------------------------
DEMO IMPORT
----------------------------------------------------------- */

function eskimo_import_files() {
    return array(
        array(
            'import_file_name'           => 'Demo Import',
            'import_file_url'            => 'http://themes.thememasters.club/demos/eskimo/demo.xml',
            'import_widget_file_url'     => 'http://themes.thememasters.club/demos/eskimo/widgets.wie',
            'import_customizer_file_url' => 'http://themes.thememasters.club/demos/eskimo/customizer.dat'
        )
    );
}
add_filter( 'pt-ocdi/import_files', 'eskimo_import_files' );


function eskimo_after_import_setup() {
    $main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array(
            'eskimo-main-menu' => $main_menu->term_id,
        )
    );
    $front_page_id = get_page_by_title( 'Homepage' );
    $blog_page_id  = get_page_by_title( 'Blog' );
    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'eskimo_after_import_setup' );
?>