<div id="eskimo-related-posts-wrapper">
<?php
$eskimo_blog_related_at_most = get_theme_mod('eskimo_blog_related_at_most', 5);  
$eskimo_related_by = get_theme_mod('eskimo_related_by', 'category');      
    
$terms = get_the_terms( $post_id, $eskimo_related_by );
$term_list = wp_list_pluck( $terms, 'slug' );
$related_args = array(
	'post_type' => 'post',
	'posts_per_page' => $eskimo_blog_related_at_most,
	'post_status' => 'publish',
	'post__not_in' => array($post_id),
	'orderby' => 'rand',
	'tax_query' => array(
		array(
			'taxonomy' => $eskimo_related_by,
			'field' => 'slug',
			'terms' => $term_list
		)
	)
);
$eskimo_query_result = new WP_Query( $related_args );
?>
<div class="eskimo-widget-title">
    <h3 class="eskimo-carousel-title"><span><?php esc_html_e('RELATED POSTS', 'eskimo'); ?></span></h3>
</div>
<div class="eskimo-carousel-container">
    <div id="eskimo-related-posts-carousel" class="eskimo-carousel">
        <?php while($eskimo_query_result->have_posts()) : $eskimo_query_result->the_post(); ?>
        <?php get_template_part( 'templates/xsmasonry', 'template'); ?>        
        <?php endwhile; ?>        
    </div>
</div>
</div>    
<script type="text/javascript">
(function ($) {
"use strict";    
$(document).ready(function () {
    $('#eskimo-related-posts-carousel').slick({
        infinite: false,
        slidesToScroll: 1,
        <?php if ( is_rtl() ) { ?>
        rtl: true,
        <?php } ?>
        arrows: true,
        dots : false,
        slidesToShow: 3,
        responsive: [{breakpoint: 992,settings: {slidesToShow: 2}},{breakpoint: 576,settings: {slidesToShow: 1}}]                                                                     
    });
    $('#eskimo-related-posts-carousel').css('opacity', '1');
});
})(jQuery);        
</script>
<?php wp_reset_postdata(); ?>    