<?php
/* ----------------------------------------------------------
Add Widget Collection
------------------------------------------------------------- */
function add_eskimo_widgets_collection($folders){
	$folders[] = plugin_dir_path(__FILE__).'so-widgets/';
	return $folders;
}
add_filter('siteorigin_widgets_widget_folders', 'add_eskimo_widgets_collection');

/* ----------------------------------------------------------
Widget Groups
------------------------------------------------------------- */
function eskimo_add_widget_tabs($tabs) {
    $tabs[] = array(
        'title' => esc_html__('Eskimo Widgets', 'eskimo'),
        'filter' => array(
            'groups' => array('eskimo')
        )
    );
    return $tabs;
}
add_filter('siteorigin_panels_widget_dialog_tabs', 'eskimo_add_widget_tabs', 20);

/* ----------------------------------------------------------
Activate Widgets
------------------------------------------------------------- */
function eskimo_filter_active_widgets($active){
    $active['eskimo-author'] = true;
    $active['eskimo-slider'] = true;
    $active['eskimo-carousel'] = true;
    $active['eskimo-accordion'] = true;
    $active['eskimo-tabs'] = true;
    $active['eskimo-divider'] = true;
    $active['eskimo-posts'] = true;
    $active['eskimo-list'] = true;
    return $active;
}
add_filter('siteorigin_widgets_active_widgets', 'eskimo_filter_active_widgets');

/* ----------------------------------------------------------
Custom Class Prefix
------------------------------------------------------------- */
function eskimo_fields_class_prefixes( $class_prefixes ) {
    $class_prefixes[] = 'eskimo_';
    return $class_prefixes;
}
add_filter( 'siteorigin_widgets_field_class_prefixes', 'eskimo_fields_class_prefixes' );

/* ----------------------------------------------------------
Add Custom Widget Field
------------------------------------------------------------- */
function eskimo_widget_style_fields($fields) {
    $fields['mpaddshadow'] = array(
      'name'        => esc_html__('Add Shadow', 'eskimo'),
      'type'        => 'checkbox',
      'group'       => 'design',
      'description' => esc_html__('Add shadow to the row.', 'eskimo'),
      'priority'    => 4,
  );
  return $fields;
}

add_filter( 'siteorigin_panels_widget_style_fields', 'eskimo_widget_style_fields' );

function eskimo_widget_style_attributes( $attributes, $args ) {
    if( !empty( $args['mpaddshadow'] ) ) {
        array_push($attributes['class'], 'eskimo-add-shadow');
    }
    return $attributes;
}

add_filter('siteorigin_panels_widget_style_attributes', 'eskimo_widget_style_attributes', 10, 2);

/* ----------------------------------------------------------
Add Custom Row Field
------------------------------------------------------------- */
function eskimo_row_style_fields($fields) {
    $fields['mpaddshadow'] = array(
        'name'        => esc_html__('Add Shadow', 'eskimo'),
        'type'        => 'checkbox',
        'group'       => 'design',
        'description' => esc_html__('Add shadow to the row.', 'eskimo'),
        'priority'    => 4,
    );
    return $fields;
}

add_filter( 'siteorigin_panels_row_style_fields', 'eskimo_row_style_fields' );

function eskimo_row_style_attributes( $attributes, $args ) {
    if( !empty( $args['mpaddshadow'] ) ) {
        array_push($attributes['class'], 'eskimo-add-shadow');
    }
    return $attributes;
}

add_filter('siteorigin_panels_row_style_attributes', 'eskimo_row_style_attributes', 10, 2);
?>