<?php
/*
Widget Name: Eskimo Accordion
Description: Displays an accordion
Author: Egemenerd
Author URI: http://www.egemenerd.com
*/

class eskimo_accordion_widget extends SiteOrigin_Widget {
	function __construct() {
        $form_options = array(
            'a_repeater' => array(
                'type' => 'repeater',
                'label' => esc_html__( 'Accordion' , 'eskimo' ),
                'item_name'  => esc_html__( 'Accordion item', 'eskimo' ),
                'fields' => array(
                    'title' => array(
                        'type' => 'text',
                        'label' => esc_html__( 'Title', 'eskimo' )
                    ),
                    'heading' => array(
                        'type' => 'text',
                        'label' => esc_html__( 'Heading', 'eskimo' )
                    ),
                    'headinglevel' => array(
				        'type' => 'select',
				        'label' => esc_html__( 'Heading Level', 'eskimo' ),
				        'default' => 'h3',
				        'options' => array(
                            'h1' => esc_html__( 'Heading 1', 'eskimo' ),
                            'h2' => esc_html__( 'Heading 2', 'eskimo' ),
                            'h3' => esc_html__( 'Heading 3', 'eskimo' ),
                            'h4' => esc_html__( 'Heading 4', 'eskimo' ),
                            'h5' => esc_html__( 'Heading 5', 'eskimo' ),
                            'h6' => esc_html__( 'Heading 6', 'eskimo' )
				        )
			         ),
                    'icon' => array(
                        'type' => 'icon',
                        'label' => esc_html__('Select an icon', 'eskimo'),
                    ),
                    'text' => array(
				        'type' => 'tinymce',
				        'label' => esc_html__( 'Text', 'eskimo' ),
				        'default' => '',
				        'rows' => 10
			         ),
                    'status' => array(
				        'type' => 'checkbox',
				        'label' => esc_html__( 'Opened by default', 'eskimo' ),
				            'default' => false
                    ),
                )
            )
        );

		parent::__construct(
			'eskimo-accordion',
			esc_html__('Eskimo Accordion', 'eskimo'),
			array(
				'description' => esc_html__('Displays an accordion', 'eskimo'),'panels_groups' => array('eskimo'),'panels_icon' => 'dashicons dashicons-editor-justify'),
            array(),
			$form_options,
			plugin_dir_path(__FILE__)
		);
	}

	function get_template_name($instance) {
        return 'eskimo-accordion-template';
	}

	function get_style_name($instance) {
        return false;
	}

}
siteorigin_widget_register('eskimo-accordion', __FILE__, 'eskimo_accordion_widget');
?>