<?php
/*
Widget Name: Eskimo Author Box
Description: Displays Author Info
Author: Egemenerd
Author URI: http://www.egemenerd.com
*/

class eskimo_author_widget extends SiteOrigin_Widget {
	function __construct() {
        $form_options = array(
            'image' => array(
                'type' => 'media',
                'label' => esc_html__( 'Author Image', 'eskimo' ),
                'choose' => esc_html__( 'Choose image', 'eskimo' ),
                'update' => esc_html__( 'Set image', 'eskimo' ),
                'library' => 'image',
                'fallback' => false
            ),
            'heading' => array(
                'type' => 'text',
                'label' => esc_html__('Heading', 'eskimo'),
                'default' => ''
            ),
            'headinglevel' => array(
                'type' => 'select',
                'label' => esc_html__( 'Heading Level', 'eskimo' ),
                'default' => 'h3',
                'options' => array(
                    'h1' => esc_html__( 'Heading 1', 'eskimo' ),
                    'h2' => esc_html__( 'Heading 2', 'eskimo' ),
                    'h3' => esc_html__( 'Heading 3', 'eskimo' ),
                    'h4' => esc_html__( 'Heading 4', 'eskimo' ),
                    'h5' => esc_html__( 'Heading 5', 'eskimo' ),
                    'h6' => esc_html__( 'Heading 6', 'eskimo' )
                )
            ),
            'subtitle' => array(
                'type' => 'text',
                'label' => esc_html__('Subtitle', 'eskimo'),
                'default' => ''
            ),
            'description' => array(
                'type' => 'textarea',
                'label' => esc_html__('Description', 'eskimo'),
                'default' => ''
            ),
            'buttontext' => array(
                'type' => 'text',
                'label' => esc_html__('Button Text', 'eskimo'),
                'default' => esc_html__( 'CONTACT ME', 'eskimo' )
            ),
            'viewmore' => array(
                'type' => 'link',
                'label' => esc_html__('Destination Url (To disable button, leave it blank)', 'eskimo'),
                'default' => ''
            )
		);

		parent::__construct(
			'eskimo-author',
			esc_html__('Eskimo Author Box', 'eskimo'),
			array(
				'description' => esc_html__('Displays Author Info', 'eskimo'),'panels_groups' => array('eskimo'),'panels_icon' => 'dashicons dashicons-admin-users'),
            array(),
			$form_options,
			plugin_dir_path(__FILE__)
		);
	}

	function get_template_name($instance) {
        return 'eskimo-author-template';
	}

	function get_style_name($instance) {
        return false;
	}

}
siteorigin_widget_register('eskimo-author', __FILE__, 'eskimo_author_widget');
?>