<?php
/*
Widget Name: Eskimo Carousel
Description: Displays posts, products or pages in a carousel
Author: Egemenerd
Author URI: http://www.egemenerd.com
*/

class eskimo_post_carousel_widget extends SiteOrigin_Widget {
	function __construct() {
        $form_options = array(
            'a_section' => array(
                'type' => 'section',
                'label' => esc_html__( 'Title & Subtitle' , 'eskimo' ),
                'hide' => true,
                    'fields' => array(
                        'heading' => array(
                            'type' => 'text',
                            'label' => esc_html__('Heading', 'eskimo'),
                            'default' => ''
                        ),
                        'headinglevel' => array(
				            'type' => 'select',
				            'label' => esc_html__( 'Heading Level', 'eskimo' ),
				            'default' => 'h1',
				            'options' => array(
                                'h1' => esc_html__( 'Heading 1', 'eskimo' ),
                                'h2' => esc_html__( 'Heading 2', 'eskimo' ),
                                'h3' => esc_html__( 'Heading 3', 'eskimo' ),
                                'h4' => esc_html__( 'Heading 4', 'eskimo' ),
                                'h5' => esc_html__( 'Heading 5', 'eskimo' ),
                                'h6' => esc_html__( 'Heading 6', 'eskimo' )
				                )
			                 )     
                        )
                    ),
                    'b_section' => array(
                        'type' => 'section',
                        'label' => esc_html__( 'Post Settings' , 'eskimo' ),
                        'hide' => false,
                        'fields' => array(
                            'posts' => array(
				                'type' => 'posts',
                                'label' => esc_html__('Select Posts', 'eskimo')
			                 )
                        )
                    ),
                    'c_section' => array(
                        'type' => 'section',
                        'label' => esc_html__( 'Carousel Settings' , 'eskimo' ),
                        'hide' => true,
                        'fields' => array(
                            'columns' => array(
				                'type' => 'select',
				                'label' => esc_html__( 'Columns', 'eskimo' ),
				                'default' => 'threecolumns',
				                'options' => array(
                                    'onecolumn' => esc_html__( '1 Column', 'eskimo' ),
                                    'twocolumns' => esc_html__( '2 Column', 'eskimo' ),
                                    'threecolumns' => esc_html__( '3 Column', 'eskimo' )
				                )
                            )
                        )
                    ),
                    'd_section' => array(
                        'type' => 'section',
                        'label' => esc_html__( 'Button Settings' , 'eskimo' ),
                        'hide' => true,
                        'fields' => array(
                            'buttontext' => array(
                                'type' => 'text',
                                'label' => esc_html__('Button Text', 'eskimo'),
                                'default' => esc_html__( 'VIEW ALL', 'eskimo' )
                            ),
                            'viewmore' => array(
                                'type' => 'link',
                                'label' => esc_html__('Destination Url (To disable button, leave it blank)', 'eskimo'),
                                'default' => ''
                            )
                        )
                    )
        );

		parent::__construct(
			'eskimo-carousel',
			esc_html__('Eskimo Carousel', 'eskimo'),
			array(
				'description' => esc_html__('Displays posts, products or pages in a carousel', 'eskimo'),'panels_groups' => array('eskimo'),'panels_icon' => 'dashicons dashicons-image-flip-horizontal'),
            array(),
			$form_options,
			plugin_dir_path(__FILE__)
		);
	}

	function get_template_name($instance) {
        return 'eskimo-carousel-template';
	}

	function get_style_name($instance) {
        return false;
	}

}
siteorigin_widget_register('eskimo-carousel', __FILE__, 'eskimo_post_carousel_widget');
?>