<?php
/*
Widget Name: Eskimo Divider
Description: Displays a horizontal line
Author: Egemenerd
Author URI: http://www.egemenerd.com
*/

class eskimo_divider_widget extends SiteOrigin_Widget {
	function __construct() {
        $form_options = array(
            'margintop' => array(
				'type' => 'number',
				'label' => esc_html__('Margin Top', 'eskimo'),
				'default' => '60'
            ),
            'marginbottom' => array(
				'type' => 'number',
				'label' => esc_html__('Margin Bottom', 'eskimo'),
				'default' => '60'
            ),
            'bgcolor' => array(
				'type' => 'color',
				'label' => esc_html__( 'Color', 'eskimo' ),
				'default' => '#e5e5e5'
			),
            'thickness' => array(
				'type' => 'slider',
				'label' => esc_html__( 'Thickness', 'eskimo' ),
				'default' => 1,
				'min' => 0,
				'max' => 10
			)
		);

		parent::__construct(
			'eskimo-divider',
			esc_html__('Eskimo Divider', 'eskimo'),
			array(
				'description' => esc_html__('Displays a horizontal line', 'eskimo'),'panels_groups' => array('eskimo'),'panels_icon' => 'dashicons dashicons-minus'),
            array(),
			$form_options,
			plugin_dir_path(__FILE__)
		);
	}

	function get_template_name($instance) {
        return 'eskimo-divider-template';
	}

	function get_style_name($instance) {
        return false;
	}

}
siteorigin_widget_register('eskimo-divider', __FILE__, 'eskimo_divider_widget');
?>