<?php
/*
Widget Name: Eskimo List
Description: Displays posts, products or pages in a list
Author: Egemenerd
Author URI: http://www.egemenerd.com
*/

class eskimo_post_list_widget extends SiteOrigin_Widget {
	function __construct() {
        $form_options = array(
            'a_section' => array(
                'type' => 'section',
                'label' => esc_html__( 'Title & Subtitle' , 'eskimo' ),
                'hide' => true,
                    'fields' => array(
                        'heading' => array(
                            'type' => 'text',
                            'label' => esc_html__('Heading', 'eskimo'),
                            'default' => ''
                        ),
                        'headinglevel' => array(
				            'type' => 'select',
				            'label' => esc_html__( 'Heading Level', 'eskimo' ),
				            'default' => 'h1',
				            'options' => array(
                                'h1' => esc_html__( 'Heading 1', 'eskimo' ),
                                'h2' => esc_html__( 'Heading 2', 'eskimo' ),
                                'h3' => esc_html__( 'Heading 3', 'eskimo' ),
                                'h4' => esc_html__( 'Heading 4', 'eskimo' ),
                                'h5' => esc_html__( 'Heading 5', 'eskimo' ),
                                'h6' => esc_html__( 'Heading 6', 'eskimo' )
				                )
			                 )     
                        )
                    ),
                    'b_section' => array(
                        'type' => 'section',
                        'label' => esc_html__( 'Post Settings' , 'eskimo' ),
                        'hide' => false,
                        'fields' => array(
                            'posts' => array(
				                'type' => 'posts',
                                'label' => esc_html__('Select Posts', 'eskimo')
			                 )
                        )
                    )
        );

		parent::__construct(
			'eskimo-list',
			esc_html__('Eskimo List', 'eskimo'),
			array(
				'description' => esc_html__('Displays posts, products or pages in a list', 'eskimo'),'panels_groups' => array('eskimo'),'panels_icon' => 'dashicons dashicons-editor-ul'),
            array(),
			$form_options,
			plugin_dir_path(__FILE__)
		);
	}

	function get_template_name($instance) {
        return 'eskimo-list-template';
	}

	function get_style_name($instance) {
        return false;
	}

}
siteorigin_widget_register('eskimo-list', __FILE__, 'eskimo_post_list_widget');
?>