<?php
$eskimo_selector_pseudo_query = $instance['b_section']['posts'];
$eskimo_random_id = rand();

// Process the post selector pseudo query.
$eskimo_processed_query = siteorigin_widget_post_selector_process_query( $eskimo_selector_pseudo_query);

// Use the processed post selector query to find posts.
$eskimo_query_result = new WP_Query( $eskimo_processed_query );
?>

<?php if (!empty($instance['a_section']['heading'])) { ?>
<div class="eskimo-widget-title">
    <<?php echo esc_attr($instance['a_section']['headinglevel']); ?> class="eskimo-title-with-border"><span><?php echo esc_attr($instance['a_section']['heading']); ?></span></<?php echo esc_attr($instance['a_section']['headinglevel']); ?>>
</div>
<?php } ?>

<div class="eskimo-post-list-wrapper">
    <?php while($eskimo_query_result->have_posts()) : $eskimo_query_result->the_post(); ?>
    <?php $eskimo_post_type = get_post_type(get_the_id()); ?>
    <div class="eskimo-post-list">
        <?php if (has_post_thumbnail()) { ?>
        <?php
        $eskimo_thumb_id = get_post_thumbnail_id();
        $eskimo_thumb_url_array = wp_get_attachment_image_src($eskimo_thumb_id, 'thumbnail', true);
        $eskimo_thumb_url = $eskimo_thumb_url_array[0];
        ?>
        <div class="eskimo-post-list-left">
            <a href="<?php esc_url(the_permalink()); ?>">
                <img src="<?php echo esc_url($eskimo_thumb_url); ?>" alt="<?php the_title(); ?>" />   
            </a>
        </div>
        <?php } ?>
        <div class="eskimo-post-list-right">
            <p class="eskimo-post-list-title"><a href="<?php esc_url(the_permalink()); ?>"><?php the_title(); ?></a></p>  
            <?php if ($eskimo_post_type == "post") { ?>
            <div class="eskimo-post-list-info">
            <i class="fa fa-clock-o"></i><a href="<?php esc_url(the_permalink()); ?>"><?php the_time(get_option('date_format')); ?></a>
            </div>
            <?php } elseif ($eskimo_post_type == "product") { ?>
            <?php global $product; ?>
            <div class="eskimo-post-list-meta">
            <span>
            <?php echo $product->get_price_html(); ?>
            </span>
            </div>    
            <?php } ?>
        </div>
    </div>
    <?php endwhile; ?> 
</div>
<?php wp_reset_postdata(); ?>