<?php
/*
Widget Name: Eskimo Posts
Description: Displays posts, products or pages
Author: Egemenerd
Author URI: http://www.egemenerd.com
*/

class eskimo_posts_widget extends SiteOrigin_Widget {
	function __construct() {
        $form_options = array(
            'a_section' => array(
                'type' => 'section',
                'label' => esc_html__( 'Title & Subtitle' , 'eskimo' ),
                'hide' => true,
                    'fields' => array(
                        'heading' => array(
                            'type' => 'text',
                            'label' => esc_html__('Heading', 'eskimo'),
                            'default' => ''
                        ),
                        'headinglevel' => array(
				            'type' => 'select',
				            'label' => esc_html__( 'Heading Level', 'eskimo' ),
				            'default' => 'h1',
				            'options' => array(
                                'h1' => esc_html__( 'Heading 1', 'eskimo' ),
                                'h2' => esc_html__( 'Heading 2', 'eskimo' ),
                                'h3' => esc_html__( 'Heading 3', 'eskimo' ),
                                'h4' => esc_html__( 'Heading 4', 'eskimo' ),
                                'h5' => esc_html__( 'Heading 5', 'eskimo' ),
                                'h6' => esc_html__( 'Heading 6', 'eskimo' )
				                )
			                 )    
                        )
                    ),
                    'b_section' => array(
                        'type' => 'section',
                        'label' => esc_html__( 'Post Settings' , 'eskimo' ),
                        'hide' => false,
                        'fields' => array(
                            'posts' => array(
				                'type' => 'posts',
                                'label' => esc_html__('Select Posts', 'eskimo')
			                 ),
                            'columns' => array(
				                'type' => 'select',
				                'label' => esc_html__( 'Columns', 'eskimo' ),
				                'default' => 'fullwidth',
				                'options' => array(
                                    'fullwidth' => esc_html__( 'FullWidth', 'eskimo' ),
                                    'eskimo-one-column' => esc_html__( '1 Column', 'eskimo' ),
                                    'eskimo-two-columns' => esc_html__( '2 Column', 'eskimo' ),
                                    'eskimo-three-columns' => esc_html__( '3 Column', 'eskimo' )
				                )
                            )
                        )
                    ),
                    'c_section' => array(
                        'type' => 'section',
                        'label' => esc_html__( 'Button Settings' , 'eskimo' ),
                        'hide' => true,
                        'fields' => array(
                            'buttontext' => array(
                                'type' => 'text',
                                'label' => esc_html__('Button Text', 'eskimo'),
                                'default' => esc_html__( 'VIEW ALL', 'eskimo' )
                            ),
                            'viewmore' => array(
                                'type' => 'link',
                                'label' => esc_html__('Destination Url (To disable button, leave it blank)', 'eskimo'),
                                'default' => ''
                            )
                        )
                    )
        );

		parent::__construct(
			'eskimo-posts',
			esc_html__('Eskimo Posts', 'eskimo'),
			array(
				'description' => esc_html__('Displays posts, products or pages', 'eskimo'),'panels_groups' => array('eskimo'),'panels_icon' => 'dashicons dashicons-admin-post '),
            array(),
			$form_options,
			plugin_dir_path(__FILE__)
		);
	}

	function get_template_name($instance) {
        return 'eskimo-posts-template';
	}

	function get_style_name($instance) {
        return false;
	}

}
siteorigin_widget_register('eskimo-posts', __FILE__, 'eskimo_posts_widget');
?>