<?php
/*
Widget Name: Eskimo Slider
Description: Displays posts, products or pages in a slider
Author: Egemenerd
Author URI: http://www.egemenerd.com
*/

class eskimo_post_slider_widget extends SiteOrigin_Widget {
	function __construct() {
        $form_options = array(
            'a_section' => array(
                'type' => 'section',
                'label' => esc_html__( 'Title & Subtitle' , 'eskimo' ),
                'hide' => true,
                    'fields' => array(
                        'heading' => array(
                            'type' => 'text',
                            'label' => esc_html__('Heading', 'eskimo'),
                            'default' => ''
                        ),
                        'headinglevel' => array(
				            'type' => 'select',
				            'label' => esc_html__( 'Heading Level', 'eskimo' ),
				            'default' => 'h1',
				            'options' => array(
                                'h1' => esc_html__( 'Heading 1', 'eskimo' ),
                                'h2' => esc_html__( 'Heading 2', 'eskimo' ),
                                'h3' => esc_html__( 'Heading 3', 'eskimo' ),
                                'h4' => esc_html__( 'Heading 4', 'eskimo' ),
                                'h5' => esc_html__( 'Heading 5', 'eskimo' ),
                                'h6' => esc_html__( 'Heading 6', 'eskimo' )
				                )
			                 )     
                        )
                    ),
                    'b_section' => array(
                        'type' => 'section',
                        'label' => esc_html__( 'Post Settings' , 'eskimo' ),
                        'hide' => false,
                        'fields' => array(
                            'posts' => array(
				                'type' => 'posts',
                                'label' => esc_html__('Select Posts', 'eskimo')
			                 ),
                            'headinglevel' => array(
				                'type' => 'select',
				                'label' => esc_html__( 'Heading Level', 'eskimo' ),
				                'default' => 'h3',
				                'options' => array(
                                    'h1' => esc_html__( 'Heading 1', 'eskimo' ),
                                    'h2' => esc_html__( 'Heading 2', 'eskimo' ),
                                    'h3' => esc_html__( 'Heading 3', 'eskimo' ),
                                    'h4' => esc_html__( 'Heading 4', 'eskimo' ),
                                    'h5' => esc_html__( 'Heading 5', 'eskimo' ),
                                    'h6' => esc_html__( 'Heading 6', 'eskimo' )
                                )
                            ),
                            'maxcat' => array(
                                'type' => 'number',
                                'label' => esc_html__('Maximum category to display', 'eskimo'),
                                'default' => '2'
                            )
                        ),
                    ),
                    'c_section' => array(
                        'type' => 'section',
                        'label' => esc_html__( 'Slider Settings' , 'eskimo' ),
                        'hide' => true,
                        'fields' => array(
                            'size' => array(
				                'type' => 'select',
				                'label' => esc_html__( 'Image Size', 'eskimo' ),
				                'default' => 'eskimo-hero',
				                'options' => array(
                                    'eskimo-slide' => esc_html__( '1200x600 px', 'eskimo' ),
                                    'eskimo-thumbnail' => esc_html__( '900x600 px', 'eskimo' ),
                                    'full' => esc_html__( 'Full', 'eskimo' ),
                                    'large' => esc_html__( 'Large', 'eskimo' ),
                                    'medium' => esc_html__( 'Medium', 'eskimo' )
				                )
			                 ),
                            'autoplay' => array(
				                'type' => 'checkbox',
				                'label' => esc_html__( 'Autoplay on', 'eskimo' ),
				                'default' => false
			                 ),
                            'duration' => array(
                                'type' => 'number',
                                'label' => esc_html__('Autoplay Duration (Seconds)', 'eskimo'),
                                'default' => '5'
                            )
                        )
                    ),
                    'd_section' => array(
                        'type' => 'section',
                        'label' => esc_html__( 'Button Settings' , 'eskimo' ),
                        'hide' => true,
                        'fields' => array(
                            'buttontext' => array(
                                'type' => 'text',
                                'label' => esc_html__('Button Text', 'eskimo'),
                                'default' => esc_html__( 'VIEW ALL', 'eskimo' )
                            ),
                            'viewmore' => array(
                                'type' => 'link',
                                'label' => esc_html__('Destination Url (To disable button, leave it blank)', 'eskimo'),
                                'default' => ''
                            )
                        )
                    )
        );

		parent::__construct(
			'eskimo-slider',
			esc_html__('Eskimo Slider', 'eskimo'),
			array(
				'description' => esc_html__('Displays posts, products or pages in a slider', 'eskimo'),'panels_groups' => array('eskimo'),'panels_icon' => 'dashicons dashicons-format-gallery'),
            array(),
			$form_options,
			plugin_dir_path(__FILE__)
		);
	}

	function get_template_name($instance) {
        return 'eskimo-slider-template';
	}

	function get_style_name($instance) {
        return false;
	}

}
siteorigin_widget_register('eskimo-slider', __FILE__, 'eskimo_post_slider_widget');
?>