<?php
$eskimo_selector_pseudo_query = $instance['b_section']['posts'];
$eskimo_random_id = rand();

// Process the post selector pseudo query.
$eskimo_processed_query = siteorigin_widget_post_selector_process_query( $eskimo_selector_pseudo_query . '&meta_key=_thumbnail_id');

// Use the processed post selector query to find posts.
$eskimo_query_result = new WP_Query( $eskimo_processed_query );
?>

<?php if (!empty($instance['a_section']['heading'])) { ?>
<div class="eskimo-widget-title">
    <<?php echo esc_attr($instance['a_section']['headinglevel']); ?> class="eskimo-title-with-border"><span><?php echo esc_attr($instance['a_section']['heading']); ?></span></<?php echo esc_attr($instance['a_section']['headinglevel']); ?>>
</div>
<?php } ?>

<div class="eskimo-carousel-container eskimo-bg-loader">   
    <div id="eskimo-post-carousel-<?php echo esc_attr($eskimo_random_id) ?>" class="eskimo-slider">
<?php while($eskimo_query_result->have_posts()) : $eskimo_query_result->the_post(); ?>
<div <?php post_class(); ?>>
    <a class="eskimo-slider-img" href="<?php esc_url(the_permalink()); ?>"></a> 
    <?php
    $eskimo_post_type = get_post_type(get_the_id());
    $eskimo_thumb_id = get_post_thumbnail_id();
    $eskimo_thumb_url_array = wp_get_attachment_image_src($eskimo_thumb_id, $instance['c_section']['size'], true);
    $eskimo_thumb_url = $eskimo_thumb_url_array[0];
    ?>  
        <?php if ($eskimo_post_type == "product") { ?>
        <?php global $post, $product; ?>
        <ul class="eskimo-slider-image-meta">
            <?php 
    if ( ! $product->managing_stock() && ! $product->is_in_stock() ) { ?>
            <li><span class="badge badge-danger"> <?php esc_html_e('Out of Stock', 'eskimo'); ?> </span></li>
<?php
    } else if ( $product->is_on_sale() ) {
        echo apply_filters( 'woocommerce_sale_flash', '<li><span class="badge badge-success">' . esc_html__( 'Sale!', 'eskimo' ) . '</span></li>', $post, $product );
    }
?>
            <li><span class="badge badge-default"><?php echo $product->get_price_html(); ?></span></li>
        </ul>   
        <div class="clearfix"></div>
        <?php } ?>
        <?php if ($eskimo_post_type == "post") { ?>
        <ul class="eskimo-slider-image-meta eskimo-image-meta-post">
            <li><a href="<?php esc_url(the_permalink()); ?>"><span class="badge badge-default"><?php the_time(get_option('date_format')); ?></span></a></li>
            <?php 
            if ( has_category() ) {
                $category = get_the_category();
                $i = 0;
                $max_cat = $instance['b_section']['maxcat'];
                foreach( $category as $cat ) {
                    $cat_url = get_category_link( $cat->cat_ID );
                    if ($i < $max_cat) {
                        echo '<li><a href="' . $cat_url . '"><span class="badge badge-default">' . $cat->cat_name . '</span></a></li>';
                    }
                    $i++;
                }
            } 
            ?>
        </ul>
        <div class="clearfix"></div>
        <?php } ?>
        <img src="<?php echo esc_url($eskimo_thumb_url); ?>" alt="<?php the_title(); ?>" />   
    <div class="eskimo-slider-desc">
        <div class="eskimo-slider-desc-inner">
        <<?php echo esc_attr($instance['b_section']['headinglevel']); ?> class="card-title"><?php the_title(); ?></<?php echo esc_attr($instance['b_section']['headinglevel']); ?>>
        <?php the_excerpt(); ?>
        </div>
    </div>
</div>       
<?php endwhile; ?>        
    </div>
</div>
<script type="text/javascript">
(function ($) {
"use strict";    
$(document).ready(function () {
    $('#eskimo-post-carousel-<?php echo esc_attr($eskimo_random_id) ?>').slick({
        <?php if ($instance['c_section']['autoplay'] == 'true') { ?>
        autoplay: true,
        autoplaySpeed: <?php echo esc_js($instance['c_section']['duration']); ?>000,
        <?php } ?>
        slidesToScroll: 1,
        adaptiveHeight: true,
        slidesToShow: 1,
        <?php if ( is_rtl() ) { ?>
        rtl: true,
        <?php } ?>
        arrows: true,
        dots : false,
        fade: true
    });
});
$(window).on('load', function () {
    $('#eskimo-post-carousel-<?php echo esc_js($eskimo_random_id); ?>').css('opacity', '1');
    $('#eskimo-post-carousel-<?php echo esc_js($eskimo_random_id); ?>').parent().removeClass('eskimo-bg-loader');
});     
})(jQuery);        
</script>
<?php wp_reset_postdata(); ?>
<?php if(!empty($instance['d_section']['viewmore'])) { ?>
<div class="eskimo-view-more">
    <a class="btn btn-default" href="<?php echo sow_esc_url($instance['d_section']['viewmore']); ?>"><?php echo esc_attr($instance['d_section']['buttontext']); ?></a>
</div>    
<?php } ?>    